package org.qatools.validator;




/**
 * <pre>
 * Enum class for different error options
 * 
 * 			SUREFIRE_SHORT - Shorten the error details in the surefire / junit reports. The formatting may be whacky in some reports.
 * 				The QATools detail report will always include all details regardless of this setting.
 * 				It's just a way to control how much detail shows up in your continuous build reports.
 * 			SUREFIRE_FULL	- This is the default. Full error details show up in surefire / junit reports.
 * 
 * </pre>
 * 
 * @author Scott Wilson - QATools.org
 *
 */
public enum ErrorOption {
	SUREFIRE_SHORT,
	SUREFIRE_FULL
}
