package org.qatools.validator;


/**
 * <pre>
 * Scott Wilson presents QATools.org
 * Specializing in Functional & Integration Test Automation using Maven Java Junit TestNG
 * 
 * 
 * Validator extends Junit by capturing and reporting all failures at once.
 * This sppeds your QA effort by reducing the number of iterations.
 * 
 * Junit pukes at the first failed assertion and also does not enforce useful error messages
 * 			assertTrue(false);		<=== FAILS IMMEDIATELY
 * 			assertEquals(1, 2)		
 * 			assertNotNull(null);	
 * 
 * Validator example - the API forces you to enter useful error messages
 * 			Validator v = new Validator();
 * 			v.assertTrue("Foo msg", false);
 * 			v.assertEquals("Bar msg", 1, 2);
 * 			v.assertNotNull("Apple", null);
 * 			v.throwExceptionIfErrors();		<=== Captures ALL errors not just the first one!
 * 
 * </pre>
 * 
 * @author Scott Wilson - QATools.org
 */public class Validator extends AdvancedValidator {

	
	
	
}
